#!/bin/bash
EXE_DIR=/usr/local/bin
EXE_FILE=solar_pi.sh
CONF_FILE=solar_pi.conf
LIB_FILE=solar_pi.lib
INSTALL_DIR=/opt/solar
INS_FILE=install.sh
SCRIPTS=scripts

if [ $# -eq 0 ]
then
	echo "Please enter command line argument -install or -uninstall"
	exit 0
fi

#uninstall
if [ $1 = "-uninstall" ]
then

	
	echo "Removing $EXE_FILE from $EXE_DIR"
	rm $EXE_DIR/$EXE_FILE

  echo "Deleting installation directory $INSTALL_DIR"
	rm -r $INSTALL_DIR
	
	echo "Software has been uninstalled."
	echo "Note: Remember to remove any entries from /etc/rc.local if start up scripts were added."
	
	exit 0

#install
elif [ $1 = "-install" ]
then
	
	if [ -e $INSTALL_DIR ]
	then
		echo "software already installed in $INSTALL_DIR, deleting directory."
		rm -r $INSTALL_DIR
	fi
	
	mkdir $INSTALL_DIR
	cp $CONF_FILE $INSTALL_DIR
	chmod 666 $INSTALL_DIR/$CONF_FILE
	cp $LIB_FILE $INSTALL_DIR
	chmod 777 $INSTALL_DIR/$LIB_FILE
	cp $EXE_FILE $EXE_DIR
	chmod 777 $EXE_DIR/$EXE_FILE
	cp $INS_FILE $INSTALL_DIR
	chmod 777 $INSTALL_DIR/$INS_FILE
	cp -r $SCRIPTS $INSTALL_DIR
	

  	echo "Software has been installed."
	exit 0
	
else
	echo "Invalid command line argument, please use -help to see valid arguments"
	exit 1
fi
	
	